using System;

public abstract class MatchingBase
{
	public abstract void DoMatching(Action onFinished, int need_init, Matching.DO_MATCHING_LOG log);

	protected abstract void GotoDeckSelectScene();

	protected abstract void SettingOwnerToMatchingState();
}
